Subject: Re: [PATCH 1/2] diff: add --word-diff option that generalizes --color-words

From: Thomas Rast <[email-masked]>
Date: Tue, 6 Apr 2010 11:20:03 +0200

Junio C Hamano wrote:
> 
> There is one difference between other uses of colors and color-words, but
> I can imagine that ordinary people may not have even realized nor thought
> about it.
> 
> To people who are somewhat but not completely color-challenged (like
> myself), it still helps to paint hunk headers in a color that is different
> from the body text to make the boundary of each hunk more visible.  Even
> without the perception of exact color/hue, the contrast alone helps in
> that case.

I see now.  My apologies for not thinking of that case!

I'll make a new patch.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch